/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2022  SEGGER Microcontroller GmbH                *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************
----------------------------------------------------------------------
File        : ID_SCREEN_HHT_GEN_INFO_Slots.c
Purpose     : AppWizard managed file, function content could be changed
---------------------------END-OF-HEADER------------------------------
*/

#include "Application.h"
#include "../Generated/Resource.h"
#include "../Generated/ID_SCREEN_HHT_GEN_INFO.h"

/*** Begin of user code area ***/
/*** End of user code area ***/

/*********************************************************************
*
*       Public code
*
**********************************************************************
*/
/*********************************************************************
*
*       cbID_SCREEN_HHT_GEN_INFO
*/
void cbID_SCREEN_HHT_GEN_INFO(WM_MESSAGE * pMsg) {
  GUI_USE_PARA(pMsg);
}

/*********************************************************************
*
*       ID_SCREEN_GEN_SETTINGS__APPW_NOTIFICATION_INITDIALOG__ID_TEXT_BATTERY_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_GEN_SETTINGS__APPW_NOTIFICATION_INITDIALOG__ID_TEXT_BATTERY_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {

  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_GEN_SETTINGS__APPW_NOTIFICATION_MOTION
*/
void ID_SCREEN_GEN_SETTINGS__APPW_NOTIFICATION_MOTION(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
				APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_SW_VER_VAL, "");
				APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_SW_VER_VAL, gui_HHC_SW_VER_P1);

				APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_FW_VER_VAL, "");
				APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_FW_VER_VAL, gui_HHC_FW_VER_P1);

				APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_BATTERY_VAL, "");
				APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_BATTERY_VAL, str_Battery_Percentage);

  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_HHT_GEN_INFO__ID_TEXT_HHT_SYS_ID_VALUE__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_SYS_ID_VALUE__APPW_JOB_SETTEXT
*/
void ID_SCREEN_HHT_GEN_INFO__ID_TEXT_HHT_SYS_ID_VALUE__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_SYS_ID_VALUE__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_HHT_GEN_INFO__ID_TEXT_HHT_SW_VER_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_SW_VER_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_HHT_GEN_INFO__ID_TEXT_HHT_SW_VER_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_SW_VER_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//	APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_SW_VER_VAL, "");
//	APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_SW_VER_VAL, gui_HHC_SW_VER_P1);
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_HHT_GEN_INFO__ID_TEXT_HHT_FW_VER_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_FW_VER_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_HHT_GEN_INFO__ID_TEXT_HHT_FW_VER_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_FW_VER_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//	APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_FW_VER_VAL, "");
//	APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_FW_VER_VAL, gui_HHC_FW_VER_P1);
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_HHT_GEN_INFO__ID_TEXT_HHT_BATTERY_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_BATTERY_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_HHT_GEN_INFO__ID_TEXT_HHT_BATTERY_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_HHT_BATTERY_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//		APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_BATTERY_VAL, "");
//		APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_BATTERY_VAL, str_Battery_Percentage);
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_GEN_SETTINGS__ID_BUTTON_REFRESH_GEN__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_GEN_SETTINGS__ID_BUTTON_REFRESH_GEN__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {

		APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_SW_VER_VAL, "");
		APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_SW_VER_VAL, gui_HHC_SW_VER_P1);

		APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_FW_VER_VAL, "");
		APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_FW_VER_VAL, gui_HHC_FW_VER_P1);

		APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_BATTERY_VAL, "");
		APPW_SetText(ID_SCREEN_HHT_GEN_INFO, ID_TEXT_HHT_BATTERY_VAL, str_Battery_Percentage);
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_GEN_SETTINGS__ID_BUTTON_BACK_HHT_GEN__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_GEN_SETTINGS__ID_BUTTON_BACK_HHT_GEN__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_GEN_SETTINGS__ID_BUTTON_HOME_HHT_GEN__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_GEN_SETTINGS__ID_BUTTON_HOME_HHT_GEN__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*************************** End of file ****************************/
